HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
BladeSystem Virtual Connect
cancel
Showing results for 
Search instead for 
Did you mean: 

HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

 
MikeUK
Occasional Advisor

HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

Any one have any ideas. I upgraded the module to 3.75 from 3.70 and its showing as hardware status degraded. VC staus and OA coms are OK.

 

I have tried downgrading to 3.70 and even 3.60 but still the same with all versions.

 

Second module upgraded at the same time is OK.

5 REPLIES
Robert_Jewell
Honored Contributor

Re: HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

Does the VC log (shown under Domain Settings) show anything useful?

 

Does the OA report valid info for both interconnect modules (they should match)?

 

During the update, VCSU should have created a log.  Perhaps review this for any related info?

 

-Bob

----------------
Was this helpful? Like this post by giving me a thumbs up below!
MikeUK
Occasional Advisor

Re: HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

Thanks for the reply Robert.

 

Not much in the logs, the only bit showing errors attached.

 

I have downgraded to 3.6 and back up to 3.75, all the same.

 

Ignore, OK after defining SAN Fabric -->

However I have noticed that even the good module is marking all 4 of the AJ718A 8GB FC SPF+ GBICs as unsupported with a flashing orange LED. The modules were working before and are listed as supported in HP docs.

 

Robert_Jewell
Honored Contributor

Re: HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

Some of the logs do look concerning:

 

[Thu Mar 07 17:08:37 2013] (3268)[VcsuCore.cpp:1856] : [USE903K2MB:1] Primary VCM found
[Thu Mar 07 17:09:17 2013] (3268)[VcsuActivate.cpp:719] : [USE903K2MB:2] Module is resetting
[Thu Mar 07 17:09:44 2013] (3268)[VcsuActivate.cpp:788] : [USE903K2MB:2] Upgraded firmware version 3.75 2012-10-08T18:12:31Z
[Thu Mar 07 17:09:44 2013] (3268)[VcsuActivate.cpp:813] : The activated module is not yet configured by VCM
[Thu Mar 07 17:10:11 2013] (3268)[VcsuActivate.cpp:788] : [USE903K2MB:2] Upgraded firmware version 3.75 2012-10-08T18:12:31Z
[Thu Mar 07 17:10:11 2013] (3268)[VcsuActivate.cpp:808] : [USE903K2MB:2] This activated module is configured by the VCM
[Thu Mar 07 17:10:11 2013] (3268)[VcsuActivate.cpp:967] : SUCCESS: Firmware activated on enet module. Version: 3.75 2012-10-08T18:12:31Z
[Thu Mar 07 17:10:13 2013] (3268)[VcsuCore.cpp:3190] : Backup Module is not in backup mode. Cannot force failover.
[Thu Mar 07 17:10:13 2013] (3268)[VcsuActivate.cpp:1518] : Failover not successful to activate primary module
[Thu Mar 07 17:10:13 2013] (3268)[VcsuActivate.cpp:1519] : Aborting further activations as this would destroy the VC Domain configuration.
[Thu Mar 07 17:10:13 2013] (3268)[VcsuActivate.cpp:2116] : Failed to activate Primary and Backup modules
[Thu Mar 07 17:10:13 2013] (3268)[VcsuActivate.cpp:2117] : Aborting further activations as this would destroy the VC Domain configuration.
[Thu Mar 07 17:10:13 2013] (3268)[VcsuProgress.cpp:177] : VC Enet Activation Failed
[Thu Mar 07 17:10:13 2013] (3268)[VcsuUpdate.cpp:652] : Firmware update failed on one or more modules
[Thu Mar 07 17:10:16 2013] (3816)[GetUpdateStatus.cpp:234] : [USE903K2MB:1] Update Status: update_result= 0, updateThreadStatus= 1, updateState= 5
[Thu Mar 07 17:10:16 2013] (3816)[GetUpdateStatus.cpp:234] : [USE903K2MB:2] Update Status: update_result= 0, updateThreadStatus= 0, updateState= 4

 

It shows that both modules were updated, but only one was activated (secondary module it seems?).  However, interesting that the module state is now OK.

 

Does the OA report that both modules show the same 3.75 firmware version?

 

 

> ...module is marking all 4 of the AJ718A 8GB FC SPF+ GBICs as unsupported

 

I wonder if the firmware update, or the condition thereafter, messed up the port definitions?  I dont have a FlexFabric module for my own reference, so I am not sure if this is possible or not. 

 

Perhaps an engagement with HP Support would be worth the effort?

 

-Bob

 

----------------
Was this helpful? Like this post by giving me a thumbs up below!
Psychonaut
Respected Contributor

Re: HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

Have you tried powering off the VC, then removing and re-inserting it?

MikeUK
Occasional Advisor

Re: HP VC FlexFabric 10Gb/24-Port Module - after 3.75 firmware upgrade now degraded

I have powered on and off. I downgraded to 3.51, where the module showed up as OK, then back to 3.6 & 3.75 where it is hardware degraded. Both OAs report the same version, as do the modules.

 

HP Support are sending out a replacement FlaxFabric 10Gb.24P R2 module. Aynone know what the R2 means, new features??

 

The FC gbics change to OK when I assigned the ports to a SAN profile, I assume it must be because they can be FC or 10GBe.

 

Does anyone know the correct 3yr 24x7 care pack code to keep the modules in support, I can't work out which I need.